Page MenuHomePhabricator

Remove 'Report an error' from MobileFrontend
Closed, ResolvedPublic

Description

Promote the mobile error reporting interface (mobile.errorReport) to beta for testing.

  1. Add EventLogging to the following events:
    1. Click 'Report an error' button
    2. Click 'Continue' button
    3. Text area is focused
    4. Minimum message length threshold is met (see onErrorFieldChange())
    5. Report is successfully submitted
  2. Make sure event logging records the wiki and page that the event originates from.
  3. Fix broken mobile-frontend-editor-terms-link message in overlay.
  4. Put feature behind a feature flag

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterRemove errorReport from MobileFrontend

Event Timeline

kaldari created this task.May 28 2015, 9:11 PM
kaldari raised the priority of this task from to Needs Triage.
kaldari updated the task description. (Show Details)
kaldari added a project: Readers-Web-Backlog.
kaldari added a subscriber: kaldari.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 28 2015, 9:11 PM
kaldari updated the task description. (Show Details)
kaldari set Security to None.
kaldari updated the task description. (Show Details)
kaldari updated the task description. (Show Details)May 28 2015, 9:16 PM
kaldari updated the task description. (Show Details)
kaldari updated the task description. (Show Details)May 28 2015, 9:18 PM

I'm still curious how this is different from talk? Could we make it part of the talk feature?
I've always been confused about what that button is for - reporting an error for the current page or the site..? Also is it software errors or article errors?

phuedx added a subscriber: phuedx.May 29 2015, 7:50 AM

I'm also on the fence about this feature. What are the goals of this feature?

Also is it software errors or article errors?

… and is this reflected in the copy?

What's the state of this? @JKatzWMF ?
If we do push this to beta we should also increase the qunit code coverage from 23.53%

@Jdlrobson: I'm not sure. I think we're going to have to have a meeting to discuss the alpha features still in Should Have.

@kaldari: Could you answer @Jdlrobson's questions/provide more detail in general?

I'm still curious how this is different from talk? Could we make it part of the talk feature?

At the time it was developed, we didn't have Talk in stable and this was intended to be a sort of Talk-light for reporting errors in articles.

I've always been confused about what that button is for - reporting an error for the current page or the site..? Also is it software errors or article errors?

When you click the button it gives you a full explanation.

kaldari removed kaldari as the assignee of this task.Jul 27 2015, 10:49 PM

Now that we have talk... is this needed? Any good ideas that we could take and fold into the talk feature e.g. provide more guidance - for example a drop down saying what the error I've seen is about? Given this is probably an editing feature I'm not sure if this is now in our interest to pursue..

4:22 PM <kaldari> jdlrobson: fine with me, you can also kill it if you like. I didn't follow discussion about it's fate, but it was originally written because we didn't have talk pages in mobile stable, so I though maybe it could be an alternative for a particular use case.
4:23 PM <kaldari> i.e. so that people on mobile could at least flag serious problems with articles.

I think we should kill this. I'm not sure what purpose it fills with talk.
We can feature branch it and bring it back if necessary.

Change 231462 had a related patch set uploaded (by Jdlrobson):
Remove errorReport from MobileFrontend

https://gerrit.wikimedia.org/r/231462

Change 231462 merged by jenkins-bot:
Remove errorReport from MobileFrontend

https://gerrit.wikimedia.org/r/231462

kaldari removed a subscriber: kaldari.Aug 14 2015, 1:34 AM

The removal of this feature needs documenting.

@kaldari would you mind documenting this - or pointing us to a url describing the idea and rationale?

Jhernandez renamed this task from Move 'Report an error' to beta to Remove 'Report an error' from MobileFrontend.Aug 25 2015, 11:25 AM
Jhernandez triaged this task as High priority.
Jhernandez added a project: MobileFrontend.

Added it here https://www.mediawiki.org/wiki/Reading/Web/2015_Q1_Feature_stabilization.

If somebody wants to document the feature it would be great. ^ @kaldari?

Jhernandez closed this task as Resolved.Aug 25 2015, 11:29 AM
Jhernandez claimed this task.